Bullet Collision Detection & Physics Library: btTaskSchedulerSequential Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btTaskSchedulerSequential Class Reference

btTaskSchedulerSequential – non-threaded implementation of task scheduler (really just useful for testing performance of single threaded vs multi) More...

Inheritance diagram for btTaskSchedulerSequential:
[legend]
Collaboration diagram for btTaskSchedulerSequential:
[legend]

## Public Member Functions
| btTaskSchedulerSequential ()
virtual int | getMaxNumThreads () const BT_OVERRIDE
virtual int | getNumThreads () const BT_OVERRIDE
virtual void | setNumThreads (int numThreads) BT_OVERRIDE
virtual void | parallelFor (int iBegin, int iEnd, int grainSize, const btIParallelForBody &body) BT_OVERRIDE
virtual btScalar | parallelSum (int iBegin, int iEnd, int grainSize, const btIParallelSumBody &body) BT_OVERRIDE
Public Member Functions inherited from btITaskScheduler
| btITaskScheduler (const char *name)
virtual | ~btITaskScheduler ()
const char * | getName () const
virtual int | getMaxNumThreads () const =0
virtual int | getNumThreads () const =0
virtual void | setNumThreads (int numThreads)=0
virtual void | parallelFor (int iBegin, int iEnd, int grainSize, const btIParallelForBody &body)=0
virtual btScalar | parallelSum (int iBegin, int iEnd, int grainSize, const btIParallelSumBody &body)=0
virtual void | sleepWorkerThreadsHint ()
virtual void | activate ()
virtual void | deactivate ()

## Additional Inherited Members
Protected Attributes inherited from btITaskScheduler
const char * | m_name
unsigned int | m_savedThreadCounter
bool | m_isActive

## Detailed Description

btTaskSchedulerSequential – non-threaded implementation of task scheduler (really just useful for testing performance of single threaded vs multi)

Definition at line 470 of file btThreads.cpp.

## Constructor & Destructor Documentation

## ◆ btTaskSchedulerSequential()

btTaskSchedulerSequential::btTaskSchedulerSequential | ( |  | ) |
| inline

Definition at line 473 of file btThreads.cpp.

## Member Function Documentation

## ◆ getMaxNumThreads()

virtual int btTaskSchedulerSequential::getMaxNumThreads | ( |  | ) | const
| inlinevirtual

Implements btITaskScheduler.

Definition at line 474 of file btThreads.cpp.

## ◆ getNumThreads()

virtual int btTaskSchedulerSequential::getNumThreads | ( |  | ) | const
| inlinevirtual

Implements btITaskScheduler.

Definition at line 475 of file btThreads.cpp.

## ◆ parallelFor()

virtual void btTaskSchedulerSequential::parallelFor | ( | int | iBegin,
|  | int | iEnd,
|  | int | grainSize,
|  | const btIParallelForBody & | body
| ) |  |
| inlinevirtual

Implements btITaskScheduler.

Definition at line 477 of file btThreads.cpp.

## ◆ parallelSum()

virtual btScalar btTaskSchedulerSequential::parallelSum | ( | int | iBegin,
|  | int | iEnd,
|  | int | grainSize,
|  | const btIParallelSumBody & | body
| ) |  |
| inlinevirtual

Implements btITaskScheduler.

Definition at line 482 of file btThreads.cpp.

## ◆ setNumThreads()

virtual void btTaskSchedulerSequential::setNumThreads | ( | int | numThreads | ) |
| inlinevirtual

Implements btITaskScheduler.

Definition at line 476 of file btThreads.cpp.

The documentation for this class was generated from the following file:

- btThreads.cpp